#include <SoftwareSerial.h>//Se añade la biblioteca para dar soporte a la comunicación serie

SoftwareSerial bt(10,11);//RX pin 10, TX pin 11 para la comunicación Bluetooth
//Variables globales
char sensor1;//datos sobre el sensor1
char sensor2;//datos sobre el sensor2
char alerta;//da la información de la alarma a sonar
int i=0;//contador
int value=0; //variable grafica
int value1, value2;

void setup() {
  Serial.begin(9600);//Configura la velocidad (baudios) para la comunicación serie.
  bt.begin(9600);//Configura la velocidad (baudios) para la comunicación serie del Bluetooth.
  pinMode(9,OUTPUT);//Salida del buzzer en el pin9
}

void loop() {
 /* available() obtiene el número de bytes(caracteres) 
 disponibles para la lectura de un puerto serie software. 
 Se trata de datos que ya llegaron
 se almacenan en la memoria intermedia de recepción serie.*/
   if(bt.available()){ 
      if(i%2==0){//lectura sensor1
        sensor1=(char)bt.read();
        i=i+1;
      }else{//lectura sensor2
        sensor2=(char)bt.read();
        i=i+1;
      }
     value1=sensor1;
     value2=sensor2;
      
  //Se discierne entre los datos envíados y la alerta que se tine que enviar al buzzer
  //Sensor1=sensor1, sensor2=sensor2
     if(sensor1=='0'||sensor2=='5'){
       alerta='1';
      }else if (sensor1=='1'){
       alerta='2';
     }else if (sensor2=='6'){
       alerta='2';
     }else if (sensor1=='2'){
      alerta='3';
     }else if (sensor2=='7'){
      alerta='3';
     }else if(sensor1=='3'){
      alerta='0';
     }else if(sensor2=='8'){
      alerta='0';
     }else if(sensor1=='4'){
      alerta='0';
     }else if(sensor2=='9'){
      alerta='0';
     }
    //sensor1=sensor2, sensor2=sensor1
     if(sensor2=='0' || sensor1=='5'){
       alerta='1';
     }else if (sensor2=='1'){
       alerta='2';
     }else if (sensor1=='6'){
       alerta='2';
     }else if (sensor2=='2'){
      alerta='3';
     }else if (sensor1=='7'){
      alerta='3';
     }else if(sensor2=='3'){
      alerta='0';
     }else if(sensor1=='8'){
      alerta='0';
     }else if(sensor2=='4'){
      alerta='0';
     }else if(sensor1=='9'){
      alerta='0';
     }
     delay(250);
  //Según la alerta el buzzer realiza un sonido diferente para discernir el peligro de distancia
     if(alerta=='3'){//Buena distancia
       digitalWrite(9,HIGH);
       delay(250);
       digitalWrite(9,LOW);
       delay(750);
       digitalWrite(9,HIGH);
       delay(250);
       digitalWrite(9,LOW);
       delay(750);
        digitalWrite(9,HIGH);
       delay(250);
       digitalWrite(9,LOW);
     }else if (alerta=='2'){//Poca distancia
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
       delay(250);
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
       delay(250);
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
       delay(250);
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
       delay(250);
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
       delay(250);
       digitalWrite(9,HIGH);
       delay(150);
       digitalWrite(9,LOW);
     }else if (alerta=='1'){ //Peligro máximo choque
       digitalWrite(9,HIGH);
       delay(2000);
     }else if (alerta=='0'){ //Sin alerta
       digitalWrite(9,LOW);
     }
    
     value=alerta;
     Serial.print(value1); //valor recibido del sensor1, pruebas latencia, gráfica
     Serial.print(",");
     Serial.print(value2); //valor recibido sensor2, pruebas latencia, gráfica
     Serial.print(",");
     Serial.println(value); //valor de la alerta para la realización de pruebas con el plotter
   }
}
